MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024817Community[OCCT] OCCT:Modeling Algorithmspublic2014-04-10 12:552014-11-11 12:53
Reporterws 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024817: Can not sew two circular faces in non-manifold mode
DescriptionSewing of two planar half-circular faces adjacent by their diameter edges in non-manifold mode produces a result without any shared edges.

The same behavior is reproduced when sewing 3 such faces.
Steps To Reproducepload MODELING
# Create first face
circle c 0 1 0 1
trim c c 0.5*pi 1.5*pi
mkedge e1 c
line l 0 0 0 0 1 0
trim l l 0 2
mkedge e2 l
wire w e1 e2
mkplane plane1 w
# Create second face
circle c 0 1 0 1
trim c c 1.5*pi 2.5*pi
mkedge e1 c
line l 0 0 0 0 1 0
trim l l 0 2
mkedge e2 l
wire w e1 e2
mkplane plane2 w
# Create third face
circle c 0 1 0 1 0 0 1
trim c c 1.5*pi 2.5*pi
mkedge e1 c
line l 0 0 0 0 1 0
trim l l 0 2
mkedge e2 l
wire w e1 e2
mkplane plane3 w
# Sew faces
sewing sr1 plane1 plane2 +n
sewing sr2 plane1 plane2 plane3 +n
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24817
Attached Files

- Relationships

-  Notes
(0029606)
aml (developer)
2014-05-29 13:34

Dear ifv,
Please check current state of branch CR24817.

These commands shows correct result now (may be used to create new test cases).
explode sr1 E (3 edges instead of 4)
explode sr1 V (2 vertices instead of 4)
explode sr2 E (4 edges instead of 6)
explode sr2 V (2 vertices instead of 6)

(0029931)
ifv (developer)
2014-07-01 11:31

OK
(0029938)
mkv (tester)
2014-07-01 18:19

Dear BugMaster,

Branch CR24817 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 56fc3df79c7ec5826152637a83f92a0787e8f062

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24817-master-occt/Debian60-64/bugs/modalg_5/bug24817.html [^]
http://occt-tests/CR24817-master-occt/Windows-32-VC9/bugs/modalg_5/bug24817.html [^]
bugs modalg_5(010) bug24817: OK

Testing on Linux:
Total MEMORY difference: 349503340 / 349444332
Total CPU difference: 51589.19000000001 / 53215.180000000095

Testing on Windows:
Total MEMORY difference: 377162940 / 377795616
Total CPU difference: 44564.46875 / 42054.90625

There are no differences in images found by testdiff.
(0030345)
git (administrator)
2014-07-22 16:20

Branch CR24817 has been deleted by inv.

SHA-1: db61f8b6f8c607153e718a5f8b16f5affd4a1b17

- Related Changesets
occt: master 5b14f800
Timestamp: 2014-07-03 11:54:46
Author: aml
Committer: apn
Details ] Diff ]
0024817: Can not sew two circular faces in non-manifold mode

IndRef parameter usage fixed. Obsolete code deleted.
Test case for issue CR24817
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24817 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-10 12:55 szv New Issue
2014-04-10 12:55 szv Assigned To => ifv
2014-04-14 10:31 ifv Assigned To ifv => aml
2014-04-14 10:32 ifv Status new => assigned
2014-04-15 10:38 bugmaster Project Open CASCADE => Community
2014-04-15 10:43 bugmaster Reporter szv => ws
2014-05-29 13:34 aml Note Added: 0029606
2014-05-29 13:34 aml Assigned To aml => ifv
2014-05-29 13:34 aml Status assigned => resolved
2014-07-01 11:31 ifv Note Added: 0029931
2014-07-01 11:31 ifv Status resolved => reviewed
2014-07-01 12:22 mkv Assigned To ifv => mkv
2014-07-01 18:19 mkv Note Added: 0029938
2014-07-01 18:19 mkv Test case number => bugs modalg_5(010) bug24817
2014-07-01 18:19 mkv Assigned To mkv => bugmaster
2014-07-01 18:19 mkv Status reviewed => tested
2014-07-03 10:12 apn Target Version => 6.8.0
2014-07-04 13:38 apn Changeset attached => occt master 5b14f800
2014-07-04 13:38 apn Assigned To bugmaster => apn
2014-07-04 13:38 apn Status tested => verified
2014-07-04 13:38 apn Resolution open => fixed
2014-07-22 16:20 git Note Added: 0030345
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:53 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker